私のチーム

GET https://uptime4.com/api/teams/
curl --request GET \
--url 'https://uptime4.com/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
パラメータ 詳細 説明
search オプション 文字列 検索文字列。
search_by オプション 文字列 どのフィールドで検索していますか。許可される値は次のとおりです: name.
datetime_field オプション 文字列 許可される値: datetime, last_datetime
datetime_start オプション 文字列 Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end オプション 文字列 Filter results up to this datetime. Y-m-d H:i:s format.
order_by オプション 文字列 結果を並べ替えるフィールド。許可される値は次のとおりです: team_id, datetime, last_datetime, name.
order_type オプション 文字列 結果の順序。許可される値は、昇順の場合は ASC、降順の場合は DESC です。
page オプション 整数 結果を取得するページ番号。デフォルトは 1 です。
results_per_page オプション 整数 ページごとに必要な結果の数。許可される値は次のとおりです: 10, 25, 50, 100, 250, 500, 1000。デフォルトは 25 です。
{
    "data": [
        {
            "id": 1,
            "name": "Example team",
            "team_members": [
                {
                    "team_member_id": 1,
                    "user_email": "hello@example.com",
                    "access": {
                        "read": true,
                        "create": true,
                        "update": true,
                        "delete": false
                    },
                    "status": 1,
                    "datetime": "2026-04-21 02:05:06",
                    "last_datetime": null
                }
            ],
            "last_datetime": null,
            "datetime": "2026-04-21 02:05:06",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://uptime4.com/api/teams?page=1",
        "last": "https://uptime4.com/api/teams?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptime4.com/api/teams?page=1"
    }
}
GET https://uptime4.com/api/teams/{team_id}
curl --request GET \
--url 'https://uptime4.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "name": "Example team",
        "team_members": [
            {
                "team_member_id": 1,
                "user_email": "hello@example.com",
                "access": {
                    "read": true,
                    "create": true,
                    "update": true,
                    "delete": false
                },
                "status": 1,
                "datetime": "2026-04-21 02:05:06",
                "last_datetime": null
            }
        ],
        "last_datetime": null,
        "datetime": "2026-04-21 02:05:06",
    }
}
POST https://uptime4.com/api/teams
パラメータ 詳細 説明
name 必須 文字列 -
curl --request POST \
--url 'https://uptime4.com/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
{
    "data": {
        "id": 1
    }
}
POST https://uptime4.com/api/teams/{team_id}
パラメータ 詳細 説明
name オプション 文字列 -
curl --request POST \
--url 'https://uptime4.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
{
    "data": {
        "id": 1
    }
}
DELETE https://uptime4.com/api/teams/{team_id}
curl --request DELETE \
--url 'https://uptime4.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \